Subject: Re: [PATCH 2/2] git-gc: skip stashes when expiring reflogs

From: Jakub Narebski <[email-masked]>
Date: Fri, 13 Jun 2008 03:05:47 -0700 (PDT)

Junio C Hamano <[email-masked]> writes:

>  * We however chose to take advantage of the auto reclamation behaviour of
>    reflog, and for most practical purposes, it is a good thing.

By the way, this makes stashes a bit similar to using $TMPDIR to store
files with 'tmpwatch' (or equivalent) enabled.  Is this a good analogy?

[...]
> But let's not talk nor think about per-branch stash for now.  How does the
> "keep" thing sound to people?

This looks nice, although I'd rather not use any magic.  I'm only
afraid that people would notice that some stash / stash entry should
have been "kept" when it is too late.

-- 
Jakub Narebski
Poland
ShadeHawk on #git